ENV=local

# Global vars
SOLUTION_NAME=resource
COMPOSE_PROJECT_NAME=${ENV}-${SOLUTION_NAME}
DATA_PATH=~/data/${SOLUTION_NAME}/${ENV}
GRAPHDB_LICENSE_DIR=~/data/graphdb-licenses

# Services
SYNAPTIX_LOG_LEVEL=DEBUG
SYNAPTIX_VERBOSE_MODE=True

RABBITMQ_DEFAULT_USER=guest
RABBITMQ_DEFAULT_PASS=rspwd!
RABBITMQ_HOST=$COMPOSE_PROJECT_NAME-rabbitmq
RABBITMQ_PORT=5672
RABBITMQ_TIMEOUT=100000
RABBITMQ_DURABLE=true

ES_CLUSTER_NAME=resource
ES_MASTER_URI=http://${COMPOSE_PROJECT_NAME}-elasticsearch:9200?cluster.name=mnx
# ES_INDEX_NAME=${SOLUTION_NAME}
ES_INDEX_NAME=resource-20190820145435
ES_TIMEOUT=10000
ES_DEFAULT_SHARDS=1
ES_DEFAULT_REPLICAS=0
ES_CLUSTER_USER=
ES_CLUSTER_PWD=

KEYCLOAK_ADMIN_USER=admin
KEYCLOAK_ADMIN_PASSWORD=rspwd!
KEYCLOAK_POSTGRES_USER=admin
KEYCLOAK_POSTGRES_PASSWORD=rspwd!

RDFSTORE_USER=guest
RDFSTORE_PWD=guest
RDFSTORE_ROOT_URI=http://${COMPOSE_PROJECT_NAME}-graphdb:7200
RDFSTORE_REPOSITORY_NAME=local-resource

MINIO_ACCESS_KEY=admin
MINIO_SECRET_KEY=miniopwd!
MINIO_REGION=eu-west-1
MINIO_BUCKET=$COMPOSE_PROJECT_NAME

COMPANION_SECRET=ThisIsABigSecret